Recipes
Get a recipe
The recipe with all of its ingredients and mash steps.
GET
/
v1
/
recipes
/
{id}
Get a recipe
curl --request GET \
--url https://brewgravity.com/v1/recipes/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://brewgravity.com/v1/recipes/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://brewgravity.com/v1/recipes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "<string>",
"name": "<string>",
"style": "<string>",
"type": "all_grain",
"batch_size_liters": 123,
"boil_time_minutes": 123,
"efficiency": 123,
"notes": "<string>",
"est_color_srm": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"fermentables": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recipe_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "grain",
"amount_kg": 123,
"color_srm": 123,
"yield_percent": 123,
"sort_order": 123,
"created_at": "2023-11-07T05:31:56Z"
}
],
"hops": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recipe_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"alpha_acid": 123,
"amount_grams": 123,
"time_minutes": 123,
"use": "boil",
"sort_order": 123,
"created_at": "2023-11-07T05:31:56Z"
}
],
"yeasts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recipe_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "ale",
"form": "liquid",
"attenuation": 123,
"amount": 123,
"created_at": "2023-11-07T05:31:56Z"
}
],
"miscs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recipe_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "spice",
"use": "boil",
"amount": 123,
"amount_unit": "<string>",
"time_minutes": 123,
"sort_order": 123,
"created_at": "2023-11-07T05:31:56Z"
}
],
"mash_steps": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recipe_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "infusion",
"step_temp_c": 123,
"step_time_minutes": 123,
"sort_order": 123,
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
An API key created from a signed-in session. See Authentication.
Path Parameters
Recipe id
Response
The recipe
A recipe with every ingredient list and its mash schedule.
Unique identifier
Owning account
Recipe name
Beer style
Brewing method
Available options:
all_grain, extract, partial_mash Target volume in the fermenter, in litres
Boil duration in minutes
Brewhouse efficiency as a decimal (0–1)
Freeform recipe notes
Estimated colour in SRM
ISO 8601 timestamp
ISO 8601 timestamp
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Get a recipe
